// Martin Thomas 3/2008
#ifndef BC100_SLAVE_H
#define BC100_SLAVE_H

#define BC100_SLAVE_TEST

#include <stdint.h>
#include <stdlib.h>

#define BC100_SLAVE_READ    0x00
#define BC100_SLAVE_WRITE   0x40
#define BC100_SLAVE_EEPROM  0x80
#define BC100_SLAVE_SRAM    0x00


void bc100_slave_init( void );
uint8_t bc100_slave_read( uint8_t cmd, size_t size, void *buf );

#ifdef BC100_SLAVE_TEST
uint8_t bc100_slave_test(void);
#endif

#endif
