// Martin Thomas 3/2008

#ifndef SPI_H
#define SPI_H

#include <stdint.h>

#if defined(__AVR_ATmega644__) || defined(__AVR_ATmega644P__)
#define SPI_PORT		PORTB
#define SPI_DDR			DDRB
#define SPI_PIN			PINB
#define SPI_SS_BIT		PB4
#define SPI_MOSI_BIT	PB5
#define SPI_MISO_BIT	PB6
#define SPI_SCK_BIT		PB7
#else
#error "no SPI definitions for this device"
#endif

void SPI_init( void );
void SPI_release( void );
uint8_t SPI_rw( uint8_t output );

#endif /* SPI_H */

