// Martin Thomas 3/2008

#include <avr/io.h>
#include "uart.h"
#include "mystdio.h"

static int uart_putchar( char c, FILE *stream )
{
	if ( c == '\n' ) {
		uart_putc( '\r' );
	}
	uart_putc( c );

	return 0;
}

static FILE uart_stream = FDEV_SETUP_STREAM(uart_putchar, NULL, _FDEV_SETUP_WRITE);

void mystdio_init(void)
{
	stdout = &uart_stream;
}
